Blender allows you to save you own .blend file to use on startup.  

This is great, but wouldn't it be nice to be able to create **your own templates**?  

**Custom Templates** allows you to use your own .blend files as template options for new projects.

---

> Instead of being limited to the usual options Blender offers to start a new project *(General, 2D Animation, Sculpting, VFX, Video Editing)*, you will be able to configure your own list of .blend files.  

Your templates will be added in the `File > New` menu and in the Splash Screen *(according to preferences)*.

---

Create your own templates or find the ones that best suit your needs online.  

---

*Customize workspaces, preset your usual materials, define additional windows or anything else you would like to have from the beginning.*  
*The only limit is your immagination!*  
#### Import/Export

When your templates are ready, you can export the list to JSON file.  
This way, you will be able to easily restore your templates, if necessary.  
*For example, after disabling and re-enabling the add-on...*

---

#### Key Features
- Show your templates in `File > New` menu and in the Splash Screen
- Add, remove, update, reorder your templates from add-on preferences
- Import/Export templates from/to JSON file
- Add templates from folder (lookup `.blend` files in folder, with optional recursion depth parameter)
- Select new template
- Use current file as template
- Clear current templates


##### Legacy Support

From version `1.3.1` it's also avaliable a [legacy version](https://projects.blender.org/Francesco-Bellini/custom_templates_addon/releases/tag/v1.3.1), for previous Blender versions.
*Tested on all LTS versions from 2.83 to 3.6 (remember to use compatible templates).*

---

*For more details checkout the project's [README](https://projects.blender.org/Francesco-Bellini/custom_templates_addon/src/branch/main/README.md) ([Getting Started](https://projects.blender.org/Francesco-Bellini/custom_templates_addon/src/branch/main/README.md#getting-started))*

---

#### Make your new projects easier from the start